/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;900&display=swap");
* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  scroll-padding-top: 2rem;
  scroll-behavior: smooth;
}
/* Some Variables */
:root {
  --green-color: #02222a;
  --light-green-color: #c0eb7b;
  --orange-color: #ff751f;
  --light-orange-color: #f75f1d;
  --text-color: #02222a;
  --bg-color: #fff;
}
/* Custom Scroll Bar */
::-webkit-scrollbar {
  width: 0.5rem;
  background: var(--light-green-color);
}
::-webkit-scrollbar-thumb {
  width: 0.5rem;
  background: var(--green-color);
  border-radius: 5rem;
}
section {
  padding: 4.5rem 0 1.5rem;
}
img {
  width: 100%;
}
body {
  color: var(--text-color);
}
header {
  position: fixed;
  width: 100%;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--bg-color);
  box-shadow: 0 8px 11px rgb(14 55 54 / 15%);
  padding: 20px 100px;
  transition: 0.5s;
}
.language-switcher {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}
.lang-flag {
  width: 5vh;
  height: 3vh;
  object-fit: cover;
  cursor: pointer;
  border-radius: 5px;
  transition:
    transform 0.3s,
    box-shadow 0.3s;
}
.lang-flag:hover {
  transform: scale(1.1);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.profile {
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
  cursor: pointer;
}
.profile img {
  width: 40px;
  height: 40px;
  object-fit: cover;
  object-position: center;
  border-radius: 50%;
}
.profile span {
  font-size: 13px;
  font-weight: 500;
}
.logo {
  display: flex;
  align-items: center;
  font-size: 1.1rem;
  font-weight: 600;
  color: var(--text-color);
  column-gap: 0.5rem;
}
.logo img {
  height: 5vh;
  width: auto;
  object-fit: contain;
}
.logo .bx {
  font-size: 24px;
  color: var(--orange-color);
}
.navbar {
  display: flex;
  column-gap: 0.5rem;
}
.navbar a {
  font-size: 1rem;
  font-weight: 500;
  color: var(--text-color);
  padding: 0.5rem 1rem;
}
.navbar a:hover,
.navbar .home-active {
  background: var(--green-color);
  border-radius: 5rem;
  color: var(--bg-color);
  transition: background 0.5s;
}
#menu-icon {
  font-size: 24px;
  cursor: pointer;
  z-index: 10001;
  display: none;
}
.container {
  position: relative;
  width: 100%;
  min-height: 640px;
  display: flex !important;
  align-items: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  overflow: hidden;
}
/* .slide-1 {
  background-image: url(img/slide-1.png);
} */
.slide-2 {
  background-image: url(img/slide-2.png);
}
.slide-3 {
  background-image: url(img/slide-3.png);
}
.container img {
  width: 400px;
  position: absolute;
  bottom: -500px;
  right: 200px;
}
.home-text {
  padding: 0 150px;
}
.home-text span {
  font-weight: 400;
  text-transform: uppercase;
  color: var(--green-color);
}
.home-text h1 {
  font-size: 2.4rem;
  font-weight: 700;
  margin-bottom: 1rem;
}
.btn {
  padding: 0.6rem 1rem;
  background: var(--green-color);
  color: var(--bg-color);
  font-weight: 400;
  border-radius: 5rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  column-gap: 00.5rem;
  max-width: 160px;
}
.btn span {
  color: var(--bg-color) !important;
  white-space: nowrap;
}
.btn .bx {
  padding: 4px;
  background: var(--bg-color);
  color: var(--text-color);
  border-radius: 1rem;
  font-size: 20px;
  margin: auto;
}
.btn:hover {
  background: var(--light-orange-color);
  transition: 0.2s ease;
}
.swiper-button-next {
  background: url(img/right-arrow.png);
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
  margin-right: 20px;
}
.swiper-button-next::after {
  display: none;
}
.swiper-button-prev {
  background: url(img/left-arrow.png);
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
  margin-left: 20px;
}
.swiper-button-prev::after {
  display: none;
}
.heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.heading h1 {
  font-size: 1.6rem;
  font-weight: 600;
}
.heading span {
  color: var(--green-color);
}
.categories {
  max-width: 968px;
  margin-left: auto;
  margin-right: auto;
}
.categories-conatiner {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(180px, auto));
  gap: 1rem;
  margin-top: 2rem;
}
.categories-conatiner .box {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  border-radius: 0.5rem;
}
.categories-conatiner .box img {
  width: 100%;
  height: 100px;
  object-fit: contain;
  object-position: center;
}
.categories-conatiner .box h2 {
  font-size: 1rem;
  font-weight: 600;
}
.categories-conatiner .box span {
  font-size: 0.8rem;
  font-weight: 400;
  margin-bottom: 1rem;
}
.categories-conatiner .box .bx {
  padding: 10px;
  background: var(--green-color);
  color: var(--bg-color);
  border-radius: 5rem;
  margin-top: 2rem;
  position: absolute;
  bottom: -8%;
  display: none;
}
.categories-conatiner .box .bx:hover {
  background: var(--light-orange-color);
  transition: 0.2s all linear;
}
.categories-conatiner .box:hover .bx {
  display: block;
  transition: 0.2s all linear;
}
.box1 {
  background: #fef4ea;
}
.box2 {
  background: #e9f4e3;
}
.box3 {
  background: #faeaea;
}
.box4 {
  background: #eeeef9;
}
.box5 {
  background: #f7f6d7;
}
.products {
  max-width: 968px;
  margin-left: auto;
  margin-right: auto;
}
.products-conatiner {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, auto));
  gap: 1.5rem;
  margin-top: 2rem;
}
.products-conatiner .box {
  padding: 20px;
  box-shadow: 1px 2px 11px 4px rgb(14 55 54 / 15%);
  border-radius: 0.5rem;
  position: relative;
}
.products-conatiner .box img {
  width: 100%;
  height: 200px;
  object-fit: contain;
  object-position: center;
}
.products-conatiner .box span {
  font-weight: 500;
  font-size: 13px;
}
.products-conatiner .box h2 {
  font-size: 1.2rem;
  font-weight: 600;
}
.products-conatiner .box .price {
  font-size: 1rem;
  font-weight: 600;
  margin-top: 0.5rem;
  color: var(--light-orange-color);
}
.products-conatiner .box .price span {
  color: var(--text-color);
}
.products-conatiner .box .bx-cart-alt {
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 10px;
  background: var(--green-color);
  color: var(--bg-color);
  font-size: 20px;
  border-radius: 0.5rem 0 0.5rem 0;
}
.products-conatiner .box .bx-cart-alt:hover {
  background: var(--orange-color);
  transition: 0.2s all linear;
}
.products-conatiner .box .bx-heart {
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 20px;
  color: var(--light-orange-color);
}
.products-conatiner .box .discount {
  position: absolute;
  top: 1rem;
  left: 0;
  background: var(--light-orange-color);
  color: var(--bg-color);
  padding: 4px 18px;
  clip-path: polygon(100% 0%, 75% 50%, 100% 100%, 0 100%, 0% 50%, 0 0);
}
.about {
  max-width: 968px;
  margin-left: auto;
  margin-right: auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(21rem, auto));
  align-items: center;
  gap: 1.5rem;
}
.about img {
  border-radius: 15px;
}
.about-text span {
  font-weight: 600;
  text-transform: uppercase;
  color: var(--green-color);
}
.about-text p {
  margin: 0.5rem 0 1rem;
}
.customers {
  max-width: 968px;
  margin-left: auto;
  margin-right: auto;
}
.customers h2 {
  text-align: center;
  font-size: 1.6rem;
  font-weight: 600;
}
.customers-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, auto));
  gap: 1.5rem;
  margin-top: 2rem;
}
.customers-container .box {
  padding: 20px;
  box-shadow: 1px 2px 11px 4px rgb(14 55 54 / 15%);
  border-radius: 0.5rem;
  border-bottom: 7px solid var(--green-color);
}
.customers-container .box:hover {
  transform: translateY(10px);
  transition: 0.2s all linear;
}
.customers-container .box .bx {
  font-size: 24px;
  color: var(--green-color);
}
.customers-container .box .stars .bx {
  font-size: 1rem;
  color: var(--light-orange-color);
}
.customers-container .box p {
  font-size: 0.938rem;
}
.review-profile {
  display: flex;
  align-items: center;
  margin-top: 1rem;
  column-gap: 0.5rem;
}
.review-profile img {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center;
}
.review-profile h3 {
  font-size: 1rem;
  font-weight: 600;
}
.footer {
  max-width: 968px;
  margin-left: auto;
  margin-right: auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, auto));
  gap: 1.5rem;
  margin-top: 2rem;
  background: #fef4ea;
  border-radius: 0.5rem;
  padding: 20px;
}
.footer-box {
  display: flex;
  flex-direction: column;
}
.footer-box p {
  font-size: 0.938rem;
  margin: 0.5rem 0 1rem;
}
.social {
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
}
.social .bx {
  padding: 10px;
  background: var(--bg-color);
  color: var(--green-color);
  border-radius: 5rem;
  font-size: 20px;
}
.social .bx:hover {
  background: var(--green-color);
  color: var(--bg-color);
  transition: 0.2s all linear;
}
.footer-box h2 {
  font-size: 1.1rem;
  font-weight: 600;
  margin-bottom: 1rem;
}
.footer-box a {
  color: #868a92;
  margin-bottom: 1rem;
}
.footer-box a:hover {
  color: var(--light-orange-color);
}
.footer-box form {
  border-bottom: 1px solid var(--text-color);
  padding: 10px;
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
}
.footer-box form input {
  background: transparent;
  border: none;
  outline: none;
}
.footer-box form .bx {
  font-size: 20px;
  color: var(--light-orange-color);
  cursor: pointer;
}
.footer-box form .bxs-envelope {
  color: var(--green-color);
}
.copyright {
  text-align: center;
  padding: 20px;
}
/* Making Responsive */
@media (max-width: 1080px) {
  header {
    padding: 18px 60px;
  }
  .home-text {
    padding: 0 100px;
  }
  .container img {
    right: 100px;
  }
}
@media (max-width: 991px) {
  header {
    padding: 18px 4%;
  }
  section {
    padding: 50px 4%;
  }
  .home-text h1 {
    font-size: 2rem;
  }
  .home-text {
    padding: 0 5%;
  }
  .swiper-button-next,
  .swiper-button-prev {
    margin: 0;
  }
}
@media (max-width: 852px) {
  header {
    padding: 12px 4%;
  }
  #menu-icon {
    display: initial;
  }
  .navbar {
    position: absolute;
    top: -570px;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    background: var(--bg-color);
    box-shadow: 4px 4px 0 4px rgb(14 55 54 / 15%);
    transition: 0.2s all linear;
    text-align: left;
  }
  .navbar a {
    padding: 1rem;
    margin: 1rem;
    display: block;
  }
  .navbar a:hover,
  .navbar .home-active {
    border-radius: 00.5rem;
    color: var(--bg-color);
  }
  .navbar.active {
    top: 100%;
  }
  .home-text h1 {
    font-size: 1.7rem;
  }
  .container imng {
    width: 390px;
  }
  .btn {
    padding: 0.6rem 1.2rem;
  }
  .products-conatiner {
    grid-template-columns: repeat(auto-fit, minmax(244px, auto));
  }
}
@media (max-width: 712px) {
  .container img {
    right: 20px;
  }
  .heading h1 {
    font-size: 1.2rem;
  }
  .about {
    grid-template-columns: repeat(auto-fit, minmax(20rem, auto));
  }
  .about img {
    order: 2;
  }
  .about-text {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .btn {
    max-width: 164px;
  }
  .customers h2 {
    font-size: 1.2rem;
  }
}
@media (max-width: 642px) {
  .container img {
    right: 0;
    width: 370px;
  }
}
@media (max-width: 546px) {
  .container img {
    right: 0;
    width: 370px;
    height: 820px;
    object-fit: contain;
  }
}
@media (max-width: 370px) {
  .logo {
    font-size: 1rem;
  }
  .profile img {
    width: 30px;
    height: 30px;
  }
  .profile span {
    font-size: 10px;
  }
  .home-text {
    padding-bottom: 17rem;
  }
  .home-text span {
    font-size: 0.8rem;
  }
  .home-text h1 {
    font-size: 1.4rem;
  }
  .heading {
    flex-direction: column;
    text-align: center;
  }
  .heading .btn {
    margin-top: 1rem;
  }
  .categories-conatiner {
    gap: 1.5rem;
  }
}
